/*
 * Various utility functions that might go into StepMaker library.
 */

// Icons
WMPixmap* SMCreateBlendedPixmapFromFile(WMScreen *scr, char *fileName);

// Panels
typedef struct _AttentionPanel {
  WMScreen  *app;
  WMWindow  *panel;
  WMLabel   *icon_label;
  WMLabel   *side_label;
  WMFrame   *h_line;
  WMLabel   *question_label;
  WMButton  *left_button;
  WMButton  *center_button;
  WMButton  *right_button;
  int       pressed_button;
} _APanel;

_APanel  *APanel;

int SMRunAttentionPanel(WMScreen *app, WMWindow *parent,
                        char *side_text, char *question_text,
                        char *left_button_text, char* center_button_text,
                        char *right_button_text);

